#!/bin/bash

JVM_CONFIG=$1
HEAP_SIZE=$2
GC_TYPE=$3

if [[ "$GC_TYPE" == "CMS" ]]; then
 sed -i -e "s/^\(-Xmx\).*\$/\1$HEAP_SIZE/" $JVM_CONFIG
else
 sed -i -e "s/^\(-Xmx\).*$/-XX:+UnlockExperimentalVMOptions\ -XX:+UseZGC\ -Xms$HEAP_SIZE\ -Xmx$HEAP_SIZE/" $JVM_CONFIG
 sed -i -e "s/-XX:+UseConcMarkSweepGC//g" $JVM_CONFIG
fi

exit 0